#include <algorithm>
#include <iostream>
#include <numeric>
#include <vector>

typedef long long llong;
const int MAXN = 100000 + 10;
const int INF  = 1e9;

int a[MAXN], n;
int cnt[9][10];
void solve()
{
    llong ans = 0;
    for (int i = 1 ; i <= n ; ++i)
    {
        int ptr = 0;
        while (a[i] > 0)
        {
            cnt[ptr++][a[i] % 10]++;
            a[i] /= 10;
        }
    }

    for (int i = 0 ; i < 9 ; ++i)
    {
        for (int j = 0 ; j < 10 ; ++j)
        {
            ans += 1LL * cnt[i][j] * (cnt[i][j] - 1) / 2;
        }
    }

    std::cout << ans << '\n';
}

void read()
{
    std::cin >> n;
    for (int i = 1 ; i <= n ; ++i)
    {
        std::cin >> a[i];
    }   
}

void fastIO()
{
    std::ios_base :: sync_with_stdio(0);
    std::cout.tie(nullptr);
    std::cin.tie(nullptr);
}

int main()
{
    fastIO();
    read();
    solve();

    return 0;
}