#include <bits/stdc++.h>
using namespace std;

const int MAXN = 300000 + 10;

void checkNoInput() {
    string K;
    assert(!getline(cin, K));
}

string readLine() {
    string K;
    assert(getline(cin, K));
    return K;
}

long long toLong(const string& K) {
    if (K == "+" || K == "?") return 0 - (K == "+");
    if (K.size() >= 20) std::cout << K << '\n';
    assert(K.size());
    assert(K.size() <= 19);
    long long ans = 0;
    bool sign = 1;
    for (char c: K) {
        assert(isdigit(c) || (sign && c == '-'));
        if (c == '-') sign = 0;
        else ans = 10*ans+c-'0';
    }
    if (!sign) ans = -ans;
    return ans;
}

vector<long long> ans;
vector<string> v;
vector<long long> numbersOnLine() {
    string K = readLine();
    v.clear();
    v.resize(1);
    for (char c: K) {
        if (c == ' ') v.push_back("");
        else v.back().push_back(c);
    }
    ans.clear();
    for (string& K: v) ans.push_back(toLong(K));
    return ans;
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0);

    vector<bool> groups(4, true);
    vector<int> all;

    vector<long long> first = numbersOnLine();;
    assert(first.size() == 1);

    long long N = first[0];
    
    assert(1 <= N && N <= 200000);
    if (N > 1000) groups[2] = false;

    first = numbersOnLine();
    assert(first.size() == N);
    for (int i = 0 ; i < N ; ++i) 
    {
        assert(1 <= first[i] && first[i] <= 1000000000);
        if (first[i] > 1000) groups[3] = false;
    }

    checkNoInput();
    std::cout << "OK\n";
    for (int i = 1 ; i <= groups.size() - 1 ; ++i)
    {
        if (groups[i]) std::cout << i << ' ';
    }
    std::cout << '\n';
    
    return 0;
}