#include <algorithm>
#include <iostream>
#include <numeric>
#include <fstream>
#include <cstdlib>
#include <vector>

typedef long long llong;
const int MAXN = 100000 + 10;
const int INF  = 1e9;

int n;
int minN;
int maxN;
int cntBig;
int chance;
int maxNum;
int a[MAXN];
std::vector <int> digs[9];

inline int getDigits(int num)
{
    int cnt = 0;
    while (num > 0)
    {
        cnt++;
        num /= 10;
    }

    return cnt;
}

int pickDigit(int digit)
{
    int rnd = rand()%1000;
    for (int i = 0 ; i < cntBig ; ++i)
    {
        if (i * chance <= rnd && rnd < (i + 1) * chance) return digs[digit][i];
    }

    rnd = rand()%(10 - cntBig);
    return digs[digit][cntBig + rnd];
}

int main(int argc, char **argv)
{
    srand(time(nullptr));
    std::ifstream fin("constraints.txt");
    std::ofstream fout(argv[1]);
    n = 100000;
    int rnd1 = rand()%999 + 1;
    int rnd2 = rand()%998 + 1;
    if (rnd2 >= rnd1) rnd2++;
    fout << n << '\n';
    for (int i = 1 ; i <= n ; ++i)
    {
        int rnd = rand()%2;
        if (rnd) rnd = rnd1;
        else rnd = rnd2;
        fout << rnd;
        if (i != n) fout << ' ';
    }
    fout.close();
    fin.close();
    return 0;
}